<launch>

  <arg name="launch_driver" default="true" />
  <arg name="time_ref_source" default="gps" />
  <arg name="useRMC" default="False" />

  <group ns="gnss">

    <!-- nmea -->
    <node pkg="nmea_navsat_driver" type="nmea_topic_driver" name="nmea_driver" output="screen">
      <param name="useRMC" value="$(arg useRMC)" />
      <param name="time_ref_source" value="$(arg time_ref_source)" />
    </node>

    <!-- NavSatFix to MGRS Pose -->
    <include file="$(find gnss_poser)/launch/gnss_poser.launch">
      <arg name="input_topic_fix" value="/sensing/gnss/fix" />
      <arg name="input_topic_navpvt" value="/sensing/gnss/navpvt" />

      <arg name="output_topic_gnss_pose" value="pose" />
      <arg name="output_topic_gnss_pose_cov" value="pose_with_covariance" />
      <arg name="output_topic_gnss_fixed" value="fixed" />

      <arg name="coordinate_system" value="1" doc="0:UTM, 1:MGRS, 2:PLANE" />
      <arg name="use_ublox_receiver" value="false" />

      <arg name="gnss_frame" value="gnss_link" />
    </include>

  </group>
</launch>
